Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ncsa.hdf.hdf5lib.structs
Class H5O_hdr_info_t

    java.lang.Object
      ncsa.hdf.hdf5lib.structs.H5O_hdr_info_t

All Implemented Interfaces:
  java.io.Serializable

    public class H5O_hdr_info_t

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`int` | `flags`
`long` | `mesg_present`
`long` | `mesg_shared`
`int` | `nchunks`
`int` | `nmesgs`
`long` | `space_free`
`long` | `space_mesg`
`long` | `space_meta`
`long` | `space_total`
`int` | `version`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public int version

### nmesgs

    public int nmesgs

### nchunks

    public int nchunks

### flags

    public int flags

### space_total

    public long space_total

### space_meta

    public long space_meta

### space_mesg

    public long space_mesg

### space_free

    public long space_free

### mesg_present

    public long mesg_present

### mesg_shared

    public long mesg_shared

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD